#! /bin/env wish
set version <20220423.1521.58>

# This is a wrapper for the 'freewrap' ico.tcl which given an ico file
# shows the contents.
#
# Someday we may want to be able to add a query menu, etc. but for now
# we just take the *.ico file name (or n such if you  prefer) and puts
# up a window.
#
# set me [auto_execok showIcon.tcl]
lappend ::auto_path [expr {[set it [info script]] == {} ? "[pwd]" : $it }]
source [file dir $it]/ico.tcl
puts "from $it"
foreach file $argv {
  if {![file exists $file]} {
    puts "No such file '$file'"
    exit
  }
  
  ::ico::Show $file
}
# -parent [toplevel .top[incr tl]]
