# pkgIndex.tcl to use tkcon as a package via 'package require tkcon'
#
# 'tkcon show' will do all that is necessary to display tkcon
#
# Defaults to:
#  * the main interp as the "slave"
#  * hiding tkcon when you click in the titlebar [X]
#  * using '.tkcon' as the root toplevel
#  * not displaying itself at 'package require' time
#
# This bit of code allows special mods to tkcon without messing
# with the actual released version.

# if {[namespace exists ::freewrap]} {
#   set f [::zvfs::list *.tkconHook.tcl]
#   if {$f != {}} {
#     source $f
#   }
# } else {
#   set f [file join $dir tkconHook.tcl]
	     
#   if {[file exists $f} {
#   source $f
# }
catch {source [file join $dir tkconHook.tcl]}


package ifneeded tkcon 2.7.1 [list source [file join $dir tkcon.tcl]]
